Package org.apache.storm.sql.parser

# Enum Class SqlDdlKeywords

java.lang.Object
java.lang.Enum<SqlDdlKeywords>
org.apache.storm.sql.parser.SqlDdlKeywords

All Implemented Interfaces:
  `Serializable`, `Comparable<SqlDdlKeywords>`, `Constable`, `org.apache.calcite.sql.SqlLiteral.SqlSymbol`

public enum SqlDdlKeywords extends Enum<SqlDdlKeywords> implements org.apache.calcite.sql.SqlLiteral.SqlSymbol
Define the keywords that can occur in a CREATE TABLE statement.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PRIMARY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SqlDdlKeywords`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SqlDdlKeywords[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.calcite.sql.SqlLiteral.SqlSymbol

  `name, ordinal`

- ## Enum Constant Details

  - ### PRIMARY

    public static final SqlDdlKeywords PRIMARY

- ## Method Details

  - ### values

    public static SqlDdlKeywords[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SqlDdlKeywords valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null